#include <stdlib.h>
#include <malloc.h>

#include "Vertex.h"
#include "Tetra.h"
#include "Spring.h"
#include "Mesh.h"
#include "Driver.h"

#ifndef _TETOBJECT
#define _TETOBJECT
	class Tetobject {
		private:
		public:
			int nofVertices, nofTetras, nofSprings;	//Number of ...
			Vertex** vertexArray;
			Tetra** tetraArray;
			Spring* springArray[10000];
			Mesh mesh;
			Driver* driver;

		Tetobject();		//constructor

		bool LoadTetraFile(char *filename, float stiffness, float mass);
		void Join();		//Joins Mesh to Tetras
		void UpdatePhysics(float timestep);
		void UpdateGraphics();
		void RenderTetras();
		void RenderRefPoints();
		void BlowUp();
	};
#endif
